Creating an invoice

POST/api/v1/payment

Request parameters

NameTypeDefinition
amount*stringAmount to pay, e.g. 10.28
currency*stringCurrency code, e.g. USDT
order_id*stringUnique order ID in your system
networkstringBlockchain network, e.g. tron
url_callbackstringWebhook URL for payment status
url_successstringRedirect after successful payment
url_returnstringReturn URL on payment page
lifetimeintegerInvoice lifetime in seconds (300–43200)
additional_datastringHidden metadata for merchant

Request example

curl /api/v1/payment \
  -X POST \
  -H 'merchant: YOUR_MERCHANT_UUID' \
  -H 'sign: COMPUTED_SIGN' \
  -H 'Content-Type: application/json' \
  -d '{
    "amount": "15",
    "currency": "USDT",
    "order_id": "1",
    "network": "tron"
  }'

Response

i
Response format: { "state": 0, "result": { ... } }
{
  "state": 0,
  "result": {
    "uuid": "invoice-uuid",
    "order_id": "1",
    "amount": "15",
    "payment_status": "check",
    "url": "https://your-app/pay/...",
    "address": "T...",
    "network": "tron",
    "expired_at": 1753202502,
    "is_final": false
  }
}